/*  $Id: LogFormatter.java 1188 2011-08-28 11:43:31Z sdevaux $
 *
 * Tabs = 4 chars
 * copyright (C) 2010 Sebastien Devaux
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA
 *
 *              Sebastien Devaux <sebastien.devaux@laposte.net>
 */
package net.eduvax.util;

import java.util.logging.Formatter;
import java.util.logging.LogRecord;
/**
 * Default log formatter.
 * One record is one line (while message does not include carriage return).
 * Field delimiter is one tabulation.
 * Fields are :
 * - date (milliseconds)
 * - log level
 * - logger name
 * - thread id
 * - log message
 * @version $Id: LogFormatter.java 1188 2011-08-28 11:43:31Z sdevaux $
 * @author Sebastien Devaux
 */
class LogFormatter extends Formatter {
         
		// format one record
           public String format(LogRecord record) {
				return ""+record.getMillis()
						+"\t"+record.getLevel()
						+"\t"+record.getLoggerName()
						+"\t"+Thread.currentThread().getId()
                        +"["+Thread.currentThread().getName()
						+"]\t"+formatMessage(record)
						+"\n";
           }
           // log file header
           public String getHead(java.util.logging.Handler h) {
                         return "";
           }
           // log file footer
           public String getTail(java.util.logging.Handler h) {
                         return "";
           }
}

