/*  $Id: TestStringTokenizer.java 1335 2012-08-25 13:27:49Z sdevaux $
 *
 * Tabs = 4 chars
 * copyright (C) 2002-2012 Sebastien Devaux
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA
 *
 *              Sebastien Devaux <sebastien.devaux@laposte.net>
 */
package test;

import java.util.NoSuchElementException;

import net.eduvax.util.StringTokenizer;
import org.junit.*;
import static org.junit.Assert.*;

public class TestStringTokenizer {
    @Before public void setUp() {
       st=new StringTokenizer(TOKENS[0]+" \""+TOKENS[1]+"\" \""+TOKENS[2]+"\"");        
    }
    @After public void tearDown() {
    }

    @Test public void testNextToken() {
		for (int i=0;i<TOKENS.length;i++) {	
            assertEquals("Token "+i,TOKENS[i],st.nextToken());
		}
		int result;
		try {
    		st.nextToken();
			result=0;	
		}
		catch (NoSuchElementException ex) {
	    	result=1;
		}
		catch (Exception ex) {
    		System.out.println("Unexpected exception : "+ex);
	    	result=2;
		}
		assertEquals("No Exception expected",1,result);
    }
    @Test public void testSplit() {
	    String[] splitted=st.split();
	    assertEquals(TOKENS.length,splitted.length);
	    for (int i=0;i<TOKENS.length;i++) {
		    assertEquals("Token "+i,TOKENS[i],splitted[i]);
	    }		    
    }
    private StringTokenizer st;

    private final static String[] TOKENS={"token1","token 2"," token 3 "};
}        
